Alarm Manager Disable Alarm

Alarm Manager Disable Alarm
Disables alarm for a specific entity.

Disables alarm for a specific entity.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/AlarmManager/{moId}/DisableAlarm
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case AlarmManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
DisableAlarmRequestType of type(s) application/json
Required

Show optional properties

{
    "alarm": {},
    "entity": {}
}
{
    "alarm": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "entity": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
alarm
Required

The Alarm being disabled.

Required privileges: Alarm.ToggleEnableOnEntity

entity
Required

The ManagedEntity on which to disable the alarm.

Required privileges: System.Read

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"alarm":"{}","entity":"{}"}' https://{api_host}/sdk/vim25/{release}/AlarmManager/{moId}/DisableAlarm